import { Router } from "express";
import {
  addAttendance,
  updateAttendance,
  createRandomAttendanceForEmployee,
  generateAttendanceReport,
  generateAbsentReport,
  generateAllAttendanceReport,
  generateAllAbsentReport,
  checkTodaysAttendance,
  checkInToday,
} from "../../controllers/attendance/attendance.controller";
import { authenticate } from "../../middleware/auth.middleware";
const router = Router();

router.post("/emplpyee/add-attendance", authenticate, addAttendance);

router.post("/admin/generate", authenticate, createRandomAttendanceForEmployee);

router.post("/admin/bulk-update-attendance", authenticate, updateAttendance);

router.get(
  "/admin/generate-report/:company_id",
  authenticate,
  generateAttendanceReport
);

router.get(
  "/admin/generate-report/all/:company_id",
  authenticate,
  generateAllAttendanceReport
);

router.get(
  "/admin/generate-absent-report/:company_id",
  authenticate,
  generateAbsentReport
);
router.get(
  "/admin/generate-absent-report/all/:company_id",
  authenticate,
  generateAllAbsentReport
);

//#region Att confrm

router.get("/check-today", authenticate, checkTodaysAttendance);
router.post("/check-in-today", authenticate, checkInToday);

//#endregion

export default router;
